Base URL: https://demo-api.incodesmile.com — Incode demo environment
Add Base64 barcode and parse it to interview.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
processId |
query | boolean | Flag stating if id validation should be automatically performed | |
api-version |
header | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
base64Barcode |
string | Barcode in base64 format. |
Responses
200
Response: - forceFrontIdCapture: Boolean. Flag that signals if front id capture must be executed after barcode being added. - sessionStatus: SessionStatus. Session status
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
countryCode |
string | Valid ISO alpha-2 or alpha-3 code of the barcode issuing country. | |
forceFrontIdCapture |
boolean | Flag that signals if front id capture must be executed after barcode being added. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
|
idValidationCompleted |
boolean | Flag that indicates whether ID validation has been completed. | |
isDocumentExpired |
boolean | Flag indicating if the document is expired. |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |